Bug 24400 - Remove "start", "end", "loopStart", "loopEnd", "currentLoop", and "playCount" media element attributes
Summary: Remove "start", "end", "loopStart", "loopEnd", "currentLoop", and "playCount"...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-05 13:09 PST by Eric Carlson
Modified: 2009-04-08 16:26 PDT (History)
0 users

See Also:


Attachments
proposed patch (722.02 KB, patch)
2009-03-05 13:13 PST, Eric Carlson
simon.fraser: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2009-03-05 13:09:42 PST
The "start" and "end" attributes have been removed from the HTML5 spec.

The "loopStart", "loopEnd", "currentLoop", and "playCount" attributes have been replaced by "loop".
Comment 1 Eric Carlson 2009-03-05 13:13:03 PST
Created attachment 28322 [details]
proposed patch
Comment 2 Simon Fraser (smfr) 2009-03-05 13:41:01 PST
Comment on attachment 28322 [details]
proposed patch


>  2009-03-04  Simon Fraser  <simon.fraser@apple.com>
>  
>          Rubber-stamped by Eric Seidel.

Lots of removed changelogs here.

> Index: LayoutTests/media/video-loop-expected.txt
> ===================================================================
> +EXPECTED (media.currentTime == '8.399999618530273') OK

Seems like this might be sensitive to platform floating point rounding issues.
Is there a more reliable way to test it?

> Index: LayoutTests/media/video-seek-past-end-paused-expected.txt
> ===================================================================
> --- LayoutTests/media/video-seek-past-end-paused-expected.txt	(revision 41447)
> +++ LayoutTests/media/video-seek-past-end-paused-expected.txt	(working copy)
> @@ -1,9 +1,18 @@
>  Test that seeking paused video past it's duration time sets currentTime to duration and leaves video paused.
>  
> +RUN(video.src = 'content/test.mp4')
>  RUN(video.load())
> +
>  EVENT(load)
> -RUN(video.currentTime = 500)
> -EVENT(timeupdate)
> -EXPECTED (video.currentTime == '8.399999618530273') OK
> +EXPECTED (video.paused == 'true') OK
> +EXPECTED (video.ended == 'false') OK
> +RUN(video.play())
> +
> +EXPECTED (video.paused == 'false') OK
> +EXPECTED (media.currentTime > '0') OK
> +
> +EXPECTED (video.ended == 'true') OK
> +EXPECTED (media.currentTime == '8.399999618530273') OK

Ditto.

r=me if you address those issues.
Comment 3 David Levin 2009-04-08 16:26:18 PDT
Previous committed <http://trac.webkit.org/changeset/41461>